matmul_forward<{{name|upper}}_M,
               {{name|upper}}_K,
               {{name|upper}}_N,
               {{name|upper}}_ACTIVATION>
               ({{inputs1_name}}, {{inputs2_name}}, {{outputs_name}}, {{name|upper}}_RESCALING);